Dipole
Date: 2019-10-22

org.jmol.shapespecial

## Class Dipole

- java.lang.Object
- - org.jmol.shapespecial.Dipole

-     public class Dipole
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Atom[]` | `atoms`
    `Bond` | `bond`
    `javajs.util.BS` | `bsMolecule`
    `javajs.util.P3` | `center`
    `short` | `colix`
    `(package private) javajs.util.P3[]` | `coords`
    `(package private) static short` | `DIPOLE_TYPE_ATOMS`
    `(package private) static short` | `DIPOLE_TYPE_BOND`
    `(package private) static short` | `DIPOLE_TYPE_MOLECULAR`
    `(package private) static short` | `DIPOLE_TYPE_POINTS`
    `(package private) static short` | `DIPOLE_TYPE_POINTVECTOR`
    `(package private) static short` | `DIPOLE_TYPE_UNKNOWN`
    `(package private) java.lang.String` | `dipoleInfo`
    `float` | `dipoleValue`
    `(package private) boolean` | `haveAtoms`
    `(package private) boolean` | `isUserValue`
    `(package private) boolean` | `isValid`
    `javajs.util.Lst<java.lang.Object>` | `lstDipoles`
    `short` | `mad`
    `(package private) int` | `modelIndex`
    `boolean` | `noCross`
    `float` | `offsetAngstroms`
    `(package private) int` | `offsetPercent`
    `javajs.util.P3` | `offsetPt`
    `float` | `offsetSide`
    `javajs.util.P3` | `origin`
    `(package private) java.lang.String` | `thisID`
    `(package private) short` | `type`
    `javajs.util.V3` | `vector`
    `int` | `visibilityFlags`
    `(package private) boolean` | `visible`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Dipole()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `centerDipole()`
    `java.lang.String` | `getShapeState()`
    `(package private) Dipole` | `init(int modelIndex, java.lang.String thisID, java.lang.String dipoleInfo, short colix, short mad, boolean visible)`
    `(package private) boolean` | `isBondType()`
    `(package private) void` | `set(Dipole d)`
    `private void` | `set2(javajs.util.P3 pt1, javajs.util.P3 pt2)`
    `(package private) void` | `set2AtomValue(Atom atom1, Atom atom2, float value)`
    `(package private) void` | `set2Value(javajs.util.P3 pt1, javajs.util.P3 pt2, float value)`
    `void` | `setOffsetPt(javajs.util.P3 pt)`
    `(package private) void` | `setPtVector(javajs.util.P3 pt1, javajs.util.V3 dipole)`
    `(package private) void` | `setTranslucent(boolean isTranslucent, float translucentLevel)`
    `(package private) void` | `setValue(float value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### thisID

          java.lang.String thisID

    - #### mad

          public short mad

    - #### colix

          public short colix

    - #### type

          short type

    - #### origin

          public javajs.util.P3 origin

    - #### center

          public javajs.util.P3 center

    - #### vector

          public javajs.util.V3 vector

    - #### dipoleInfo

          java.lang.String dipoleInfo

    - #### dipoleValue

          public float dipoleValue

    - #### isUserValue

          boolean isUserValue

    - #### offsetSide

          public float offsetSide

    - #### offsetAngstroms

          public float offsetAngstroms

    - #### offsetPt

          public javajs.util.P3 offsetPt

    - #### offsetPercent

          int offsetPercent

    - #### visibilityFlags

          public int visibilityFlags

    - #### modelIndex

          int modelIndex

    - #### visible

          boolean visible

    - #### noCross

          public boolean noCross

    - #### haveAtoms

          boolean haveAtoms

    - #### isValid

          boolean isValid

    - #### atoms

          public Atom[] atoms

    - #### coords

          javajs.util.P3[] coords

    - #### bond

          public Bond bond

    - #### bsMolecule

          public javajs.util.BS bsMolecule

    - #### lstDipoles

          public javajs.util.Lst<java.lang.Object> lstDipoles

    - #### DIPOLE_TYPE_UNKNOWN

          static final short DIPOLE_TYPE_UNKNOWN

      See Also:
        Constant Field Values

    - #### DIPOLE_TYPE_POINTS

          static final short DIPOLE_TYPE_POINTS

      See Also:
        Constant Field Values

    - #### DIPOLE_TYPE_ATOMS

          static final short DIPOLE_TYPE_ATOMS

      See Also:
        Constant Field Values

    - #### DIPOLE_TYPE_BOND

          static final short DIPOLE_TYPE_BOND

      See Also:
        Constant Field Values

    - #### DIPOLE_TYPE_MOLECULAR

          static final short DIPOLE_TYPE_MOLECULAR

      See Also:
        Constant Field Values

    - #### DIPOLE_TYPE_POINTVECTOR

          static final short DIPOLE_TYPE_POINTVECTOR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Dipole

          public Dipole()

  - ### Method Detail

    - #### init

          Dipole init(int modelIndex,
                      java.lang.String thisID,
                      java.lang.String dipoleInfo,
                      short colix,
                      short mad,
                      boolean visible)

    - #### setTranslucent

          void setTranslucent(boolean isTranslucent,
                              float translucentLevel)

    - #### set

          void set(Dipole d)

    - #### set2

          private void set2(javajs.util.P3 pt1,
                            javajs.util.P3 pt2)

    - #### setValue

          void setValue(float value)

    - #### set2Value

          void set2Value(javajs.util.P3 pt1,
                         javajs.util.P3 pt2,
                         float value)

    - #### setPtVector

          void setPtVector(javajs.util.P3 pt1,
                           javajs.util.V3 dipole)

    - #### set2AtomValue

          void set2AtomValue(Atom atom1,
                             Atom atom2,
                             float value)

    - #### centerDipole

          void centerDipole()

    - #### isBondType

          boolean isBondType()

    - #### getShapeState

          public java.lang.String getShapeState()

    - #### setOffsetPt

          public void setOffsetPt(javajs.util.P3 pt)